Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#539 closed Bug (fixed)

Showing a RTB in WorkspaceManager crashes

Reported by: no-reply@… Owned by: matkovic
Priority: Unclassified Milestone: CrypTool 2.0 BETA 9
Component: General Keywords:
Cc:

Description

Title: Crash report
Exception at 13/02/2012 17:20:27 (UTC time).
User message:

-
Exception:
System.ArgumentException: Structure non reconnue dans le format de données 'XamlPackage'.
Nom du paramÚtre : stream
   à System.Windows.Documents.TextRangeBase.Load(TextRange thisRange, Stream stream, String dataFormat)
   à System.Windows.Documents.TextRange.LoadVirtual(Stream stream, String dataFormat)
   à WorkspaceManager.Model.TextModel.loadRTB(RichTextBox rtb)
   à WorkspaceManager.View.BinVisual.BinTextVisual..ctor(TextModel model)
   à WorkspaceManager.View.BinVisual.BinEditorVisual.<>c__DisplayClass2.<internalLoad>b__1(Object )
   à System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   à MS.Internal.Threading.ExceptionFilterHelper.TryCatchWhen(Object source, Delegate method, Object args, Int32 numArgs, Delegate catchHandler)
   à System.Windows.Threading.DispatcherOperation.InvokeImpl()
   à System.Windows.Threading.DispatcherOperation.InvokeInSecurityContext(Object state)
   à System.Threading.ExecutionContext.runTryCode(Object userData)
   à System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(TryCode code, CleanupCode backoutCode, Object userData)
   à System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state)
   à System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean ignoreSyncCtx)
   à System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   à System.Windows.Threading.DispatcherOperation.Invoke()
   à System.Windows.Threading.Dispatcher.ProcessQueue()
   à System.Windows.Threading.Dispatcher.WndProcHook(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   à MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   à MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   à System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   à MS.Internal.Threading.ExceptionFilterHelper.TryCatchWhen(Object source, Delegate method, Object args, Int32 numArgs, Delegate catchHandler)
   à System.Windows.Threading.Dispatcher.InvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   à MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   à MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   à System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   à System.Windows.Threading.Dispatcher.PushFrame(DispatcherFrame frame)
   à System.Windows.Application.RunDispatcher(Object ignore)
   à System.Windows.Application.RunInternal(Window window)
   à System.Windows.Application.Run(Window window)
   à Cryptool.CrypWin.App.Main()

-
System infos:
Operating System: Microsoft Windows NT 6.1.7600.0
Processors: 4
Administrative Rights: False
Current culture: fr-FR
CrypTool version: 2.0.4481.1
Installation type: NSIS
Build type: Beta
Build time: 26/01/2012 23:24:02
Product name: CrypTool 2.0 (Beta 7b - Build 4481.1)
Common language runtime version: 4.0.30319.239
System time: 18:20


Change History (3)

comment:1 Changed 10 years ago by kopal

Owner: changed from coredevs to matkovic
Status: newassigned
Summary: Crash report 2012-02-13Showing a RTB in WorkspaceManager crashes

Hi Viktor, da scheint ein Problem mit dem Laden eines TextModels zu bestehen. Ich denke, das sollte beim Laden in der View abgefangen werden und entsprechend kein Text an der Stelle angezeigt werden (Exception aber ins Log schreiben)

CrypTool sollte aber nicht so wie im Moment abstürzen

Grüße Nils

comment:2 Changed 10 years ago by matkovic

Resolution: fixed
Status: assignedclosed

(In [4529]) fixes #545 , #537, #531, #520, #539, #429 [workspace] added a Context menu for lines, improvements on partial Line selection (buggy)

comment:3 Changed 10 years ago by Sven Rech

Milestone: CrypTool 2.0 BETA 8CrypTool 2.0 BETA 9

Milestone CrypTool 2.0 BETA 8 deleted

Note: See TracTickets for help on using tickets.